using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DamageUpgrade : Upgrade
{
    [SerializeField]private float[] damages;
    public DamageUpgrade(string name, float[] cost, float[] damages){
        this.cost = cost;
        this.upgradeName = name;
        this.damages = damages;
    }

    public void SetDamages(float[] nDamages){
        this.damages = nDamages;
    }

    public float GetDamage(){
        return damages[lvlUnlocked-1];
    }

    public override void Activate(){
        if(base.UpgradeAttempt()){
            player.UpgradeDamage(this);
        }
    }
}
